@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  html {
    @apply scroll-smooth;
    scroll-snap-type: y mandatory;
    background-color: #f3f4f7;
  }
}

@layer components {
  a {
    cursor: pointer;
  }

  nav {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    background: linear-gradient(0deg,#fff0 0%, #ffff 15%);
    z-index: 1030;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: .5rem 10rem;
    align-items: center;
    justify-content: space-between;
  }

  .navbar-logo {
    flex: 1 0;
    margin-right: 5em;
    align-items: center;
    width: 3rem;
  }

  .navbar-items {
    display: flex;
    flex-direction: row;
    margin-left: 5em;
    gap: 1.5rem;
  }

  section {
    @apply w-[90vw] text-center flex items-center justify-center h-screen;
    align-content: center;
    display: block;
    padding: 6em 0;
    text-align: center;
    width: 100dvw;
  }


  .container {
    --cui-gutter-x: 1.5rem;
    --cui-gutter-y: 0;
    width: 100%;
    padding-right: calc(var(--cui-gutter-x) * 0.5);
    padding-left: calc(var(--cui-gutter-x) * 0.5);
    margin-right: auto;
    margin-left: auto;
  }

  img, svg {
    vertical-align: middle;
  }

  @screen lg {
    section {
      @apply w-[66vw];
    }
  }

  .highlights-content {
    max-width: 800px;
    margin: 0 auto;
  }

  .fade-line {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.4s ease, transform 0.4s ease;
  }

  .fade-in-active .fade-line {
    transition: opacity 1.8s ease, transform 1.2s ease;
  }

  .fade-in-active .fade-line:nth-child(1) {
    transition-delay: 0.2s;
    opacity: 1;
    transform: translateY(0);
  }

  .fade-in-active .fade-line:nth-child(2) {
    transition-delay: 1.5s;
    opacity: 1;
    transform: translateY(0);
  }
  .fade-in-active .fade-line:nth-child(3) {
    transition-delay: 3.0s;
    opacity: 1;
    transform: translateY(0);
  }

  .container {
    margin: 0 auto;
    max-width: 1140px;
    max-width: var(--ifm-container-width);
    padding: 0 1rem;
    padding: 0 var(--ifm-spacing-horizontal);
    width: 100%;
  }

  .row {
    align-items: center;
    display: flex;
    flex-wrap: wrap;
    margin: 0 calc(1rem * -1);
  }



  .col {
    flex: 1 0 30%;
    margin-left: 0;
    max-width: 100%;
    padding: 0 1rem;
    width: 100%;
  }

  .col fig {
    display: block;
    margin: 0 auto;
    padding: 0 0 1em;
  }

  fig > img {
    display: block;
    height: 300px;
    margin: 0 auto;
    padding: 0 0 1em;
  }

  fig > figcaption {
    display: block;
  }

  h3 {
    font-weight: bold;
  }

  @media (max-width: 996px) {
    nav {
      padding: .5rem 2rem;
    }
    .col {
      flex-basis: 100%;
    }
  }
  @media (min-width: 997px) {
    section {
      min-height: 100dvh;
      scroll-snap-align: start;
    }
  }
}
